/**
 * All rights Reserved, Designed By www.freemud.cn
 *
 * @Title: StoreItemAdapter
 * @Package cn.freemud.adapter
 * @Description:
 * @author: liming.guo
 * @date: 2018/5/16 10:48
 * @version V1.0
 * @Copyright: 2018 www.freemud.cn Inc. All rights reserved.
 * 注意：本内容仅限于上海非码科技内部传阅，禁止外泄以及用于其他的商业目
 */
package cn.freemud.adapter;

import cn.freemud.entities.dto.*;
import cn.freemud.entities.dto.GetMenuResponseDto.DataBean.RootNodeBean.ChildrenBeanFirst.ChildrenBeanSecond.ProductBean;
import cn.freemud.entities.vo.*;
import cn.freemud.enums.OrderSourceType;
import cn.freemud.enums.ProductType;
import cn.freemud.enums.StoreItemStatus;
import cn.freemud.utils.BeanUtil;
import com.google.common.collect.Lists;
import com.google.common.collect.Sets;
import org.apache.commons.collections4.CollectionUtils;
import org.apache.commons.lang.time.FastDateFormat;
import org.springframework.stereotype.Component;

import java.util.*;

@Component
public class StoreItemAdapter {

    public GetProductInfoDto convert2ProductInfoDto(String partnerId, String shopId, Integer productInfoType, List<String> productIds,String menuType) {
        GetProductInfoDto getProductInfoDto = new GetProductInfoDto();
        getProductInfoDto.setPartnerId(partnerId);
        getProductInfoDto.setShopId(shopId);
        getProductInfoDto.setProductInfoType(productInfoType);
        getProductInfoDto.setProductIds(productIds);
        getProductInfoDto.setChannel(menuType);
        return getProductInfoDto;
    }



}
